scsi_alloc_target
Prev | drivers/scsi/scsi_scan.c | Next

## Name

scsi_alloc_target — allocate a new or find an existing target

## Synopsis

`struct scsi_target * scsi_alloc_target (` | struct device * | parent,
| int | channel,
| uint | id`)`;

## Arguments

`parent`

  parent of the target (need not be a scsi host)

`channel`

  target channel number (zero if no channels)

`id`

  target id number

## Description

Return an existing target if one exists, provided it hasn't already gone into STARGET_DEL state, otherwise allocate a new target.

The target is returned with an incremented reference, so the caller is responsible for both reaping and doing a last put

Prev | Up | Next
scsi_alloc_sdev | Home | scsi_target_reap